using System.ComponentModel;

namespace Fantasy.Serialize;

public abstract class ASerialize : ISupportInitialize, IDisposable
{
    public virtual void Dispose()
    {
    }

    public virtual void BeginInit()
    {
    }

    public virtual void EndInit()
    {
    }

    public virtual void AfterDeserialization() => EndInit();
}